package util.sqlparse.visitor.common.bean;

import java.util.ArrayList;
import java.util.List;
import util.sqlparse.visitor.common.ScopeDialector;
import util.sqlparse.visitor.common.memo.TableMemo;

public class TableInfo {
   private TableMemo table;
   private List<TableMemo> memos;

   public TableMemo getTable() {
      return this.table;
   }

   public void setTable(TableMemo table) {
      this.table = table;
   }

   public String getAtomName() {
      return this.table.getAtomName();
   }

   public String fullPath(ScopeDialector dialector) {
      return this.table.fullPath(dialector);
   }

   public List<TableMemo> getMemos() {
      return this.memos;
   }

   public void addMemo(TableMemo memo) {
      if (memo != null) {
         if (this.memos == null) {
            this.memos = new ArrayList();
            this.memos.add(memo);
         } else {
            this.memos.add(memo);
         }
      }
   }
}
